<div class="mat-typography mat-app-background" >

  <mat-drawer-container class="container" autosize>

    <mat-drawer #drawer class="sidenav" opened mode="side">
      <section [class.sidenav]="isExpanded">
        <div class="toggle">
          <mat-icon (click)="toggleMenu()">
            {{ isExpanded ? "keyboard_backspace" : "dehaze" }}
          </mat-icon>
        </div>
        <app-tree id="user_permission_app_tree"
                  [treeName]="'user_permission_tree'"
                  [hasManipilateButton]="false"
                  [inputData]="dataSource" [hasCheckBox]="false" [hasHref]="true" ></app-tree>
      </section>
    </mat-drawer>
    <mat-drawer-content >
      <div class="content-container">
        <router-outlet></router-outlet>
      </div>
    </mat-drawer-content>

  </mat-drawer-container>
  
</div>
